%global modname zope.exceptions

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

Summary:    Zope Exceptions
Name:       python-zope-exceptions
Version:    4.0.5
Release:    1%{?dist}
Source0:    http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License:    ZPLv2.1
Group:      Development/Libraries
BuildArch:  noarch
URL:        http://pypi.python.org/pypi/zope.exceptions

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-zope-interface4
Requires:       python-zope-interface4
%else
BuildRequires:  python-zope-interface
Requires:       python-zope-interface
%endif

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-interface
%endif

%description
This package contains exception interfaces and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%if 0%{?with_python3}
%package -n python3-zope-exceptions
Summary:    Zope Exceptions
Group:      Development/Libraries

Requires:   python3-zope-interface

%description -n python3-zope-exceptions
This package contains exception interfaces and implementations which are so
general purpose that they don't belong in Zope application-specific packages.
%endif

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE.txt CHANGES.txt README.txt COPYRIGHT.txt
%{python_sitelib}/zope/exceptions/
# Co-own %%{python_sitelib}/zope/
%dir %{python_sitelib}/zope/
%exclude %{python_sitelib}/zope/exceptions/tests/
%{python_sitelib}/%{modname}-*.egg-info
%{python_sitelib}/%{modname}-*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-zope-exceptions
%doc LICENSE.txt CHANGES.txt README.txt COPYRIGHT.txt
%{python3_sitelib}/zope/exceptions/
# Co-own %%{python3_sitelib}/zope/
%dir %{python3_sitelib}/zope/
%exclude %{python3_sitelib}/zope/exceptions/tests/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth
%endif


%changelog
* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.0.5-1
- Latest upstream.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 01 2013 Ralph Bean <rbean@redhat.com> - 4.0.3-2
- Require python-zope-interface4 compat package on el6.

* Tue Dec 11 2012 Ralph Bean <rbean@redhat.com> - 4.0.3-1
- Latest upstream.
- Packaged a python3 subpackage.
- Made indentation consistent.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Sep 19 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-6
- Exclude the tests from installation

* Wed Sep 15 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-5
- BR: python-zope-interface added
- Add %%check section and run the tests

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-4
- Own %%{python_sitelib}/zope/

* Mon Aug 30 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-3
- Remove python-zope-filesystem from requirements
- Import to Fedora repositories

* Mon Aug 30 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-2
- Remove %%clean section
- Remove python-setuptools from requirements
- Remove definitions of Python-related macros 

* Mon Aug 30 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-1
- Update to 3.6.1
- Summit review request

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.0-1
- Initial packaging
